// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic', 'ngCordova', 'starter.controllers', 'starter.services'])
        .config(['$stateProvider', '$urlRouterProvider', '$ionicConfigProvider', function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
                $stateProvider
                        .state('index', {
                            url: '/index',
                            abstract: false,
                            templateUrl: 'templates/index.html',
                            controller: 'indexCtrl'
                        })
                        .state('tab', {
                            url: '/tab',
                            abstract: true,
                            templateUrl: 'templates/tab.html',
                            controller: 'tabCtrl'
                        })
                        .state('tab.assessindex', {
                            url: '/assessindex',
                            views: {
                                'tab-assessment': {
                                    templateUrl: 'templates/assessment/assessindex.html',
                                    controller: 'assessIndexCtrl',
                                }
                            }
                        })
                        .state('camerapreview', {
                            url: '/camerapreview',
                            cache: false,
                            templateUrl: 'templates/assessment/camerapreview.html',
                            controller: 'camerapreviewCtrl'
                        })
                        .state('addproperty', {
                            url: '/addproperty/:building_address_id',
                            cache: false,
                            templateUrl: 'templates/assessment/addproperty.html',
                            controller: 'addpropertyCtrl',
                        })
                        .state('editassess', {
                            url: '/editassess',
                            cache: false,
                            templateUrl: 'templates/assessment/editassess.html',
                            controller: 'editassessCtrl',
                        })
                        .state('edit_favorite_build', {
                            url: '/edit_favorite_build',
                            cache: false,
                            templateUrl: 'templates/favorite/edit_favorite_build.html',
                            controller: 'editFavoriteBuildCtrl',
                        })
                        .state('tab.assessresult', {
                            url: '/assessresult/:property_id',
                            cache: false,
                            views: {
                                'tab-assessment': {
                                    templateUrl: 'templates/assessment/assessresult.html',
                                    controller: 'assessresultCtrl',
                                }
                            }
                        })
                        .state('tab.usercenter', {
                            url: '/usercenter',
//                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/usercenter.html',
                                    controller: 'usercenterCtrl',
                                }
                            }
                        })
                        .state('tab.about', {
                            url: '/about',
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/about.html',
                                    controller: 'aboutCtrl',
                                }
                            }
                        })
                        .state('feedback', {
                            url: '/feedback',
                            templateUrl: 'templates/usercenter/feedback.html',
                            cache: false,
                            controller: 'feedbackCtrl',
//                            resolve: {
//                                "check": function ($rootScope, $location) {   //function to be resolved, accessFac and $location Injected
//                                    if ($rootScope.isLoggedIn()) {    //check if the user has permission -- This happens before the page loads
//                                        $location.path('/feedback');
//                                    } else {
////                                        alert("You don't have access here");
//                                        $location.path('/login');                //redirect user to home if it does not have permission.
//                                    }
//                                }
//                            }
                        })
                        .state('resetpassword', {
                            url: '/resetpassword',
                            cache: false,
                            templateUrl: 'templates/usercenter/resetpassword.html',
                            controller: 'resetpasswordCtrl',
                        })
                        .state('tab.tool', {
                            url: '/tool',
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/tool.html',
                                    controller: 'toolCtrl',
                                }
                            }
                        })
                        .state('tab.toolresult', {
                            url: '/toolresult',
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/toolresult.html',
                                    controller: 'toolresultCtrl',
                                }
                            }
                        })
                        .state('tab.bindmobile', {
                            url: '/bindmobile',
                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/bindmobile.html',
                                    controller: 'bindmobileCtrl',
                                }
                            }
                        })
                        .state('tab.dataupdate', {
                            url: '/dataupdate',
                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/dataupdate.html',
                                    controller: 'dataupdateCtrl',
                                }
                            }
                        })
                        .state('usersex', {
                            url: '/usersex',
                            cache: false,
                            templateUrl: 'templates/usercenter/usersex.html',
                            controller: 'usersexCtrl',
                        })
                        .state('tab.message', {
                            url: '/message',
//                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/message.html',
                                    controller: 'messageCtrl',
                                }
                            }
                        })
                        .state('tab.messagedetail', {
                            url: '/messagedetail/:message_type/:message_id',
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/messagedetail.html',
                                    controller: 'messagedetailCtrl',
                                }
                            }
                        })
                        .state('tab.housinglist', {
                            url: '/housinglist',
                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/housinglist.html',
                                    controller: 'housinglistCtrl',
                                }
                            }
                        })
                        .state('tab.housinginfo', {
                            url: '/housinginfo/:property_id/:address_type',
                            cache: false,
                            views: {
                                'tab-usercenter': {
                                    templateUrl: 'templates/usercenter/housinginfo.html',
                                    controller: 'housinginfoCtrl',
                                }
                            }
                        })
                        .state('buildinginfo', {
                            //这里为了解决有些楼盘不存在楼盘地址的问题
                            //规则：如果楼盘地址存在则通过楼盘地址id查看楼盘详情，否则通通过楼盘id查看楼盘详情
                            //type=>1，当前id为楼盘地址id；type=>2，当前id为楼盘id
                            url: '/buildinginfo/:id/:type',
                            cache: false,
                            templateUrl: 'templates/usercenter/buildinginfo.html',
                            controller: 'buildinginfoCtrl',
                        })
                        .state('login', {
                            url: '/login',
                            cache: false,
                            templateUrl: 'templates/usercenter/login.html',
                            controller: 'loginCtrl',
                        })
                        .state('register', {
                            url: '/register',
//                            cache: false,
                            templateUrl: 'templates/usercenter/register.html',
                            controller: 'registerCtrl',
                        })
                        .state('agreement', {
                            url: '/agreement',
                            cache: false,
                            templateUrl: 'templates/usercenter/agreement.html',
                            controller: 'agreementCtrl',
                        })
                        .state('findpassword_step1', {
                            url: '/findpassword_step1',
                            cache: false,
                            templateUrl: 'templates/usercenter/findpassword_step1.html',
                            controller: 'findpasswordStep1Ctrl',
                        })
                        .state('findpassword_step2', {
                            url: '/findpassword_step2',
                            cache: false,
                            templateUrl: 'templates/usercenter/findpassword_step2.html',
                            controller: 'findpasswordStep2Ctrl',
                        })
                        .state('address_province', {
                            url: '/address_province',
                            cache: false,
                            templateUrl: 'templates/usercenter/address_province.html',
                            controller: 'addressProvinceCtrl',
                        })
                        .state('address_city', {
                            url: '/address_city',
                            cache: false,
                            templateUrl: 'templates/usercenter/address_city.html',
                            controller: 'addressCityCtrl',
                        })
                        .state('address_district', {
                            url: '/address_district',
                            cache: false,
                            templateUrl: 'templates/usercenter/address_district.html',
                            controller: 'addressDistrictCtrl',
                        })
                        .state('tab.favoritehous', {
                            url: '/favoritehous',
//                            cache: false,
                            views: {
                                'tab-favorite': {
                                    templateUrl: 'templates/favorite/favoritehous.html',
                                    controller: 'favoritehousCtrl',
                                }
                            }
                        })
                        .state('tab.found', {
                            url: '/found',
//                            cache: false,
                            views: {
                                'tab-found': {
                                    templateUrl: 'templates/found/found.html',
                                    controller: 'foundCtrl',
                                }
                            }
                        })
                        .state('tab.map', {
                            url: '/map',
                            views: {
                                'tab-found': {
                                    templateUrl: 'templates/found/map.html',
                                    controller: 'mapCtrl',
                                }
                            }
                        })
                        .state('position', {
                            url: '/position/:page',
                            templateUrl: 'templates/found/position.html',
                            controller: 'positionCtrl',
                        })
                        .state('search', {
                            url: '/search',
                            cache: false,
                            templateUrl: 'templates/found/search.html',
                            controller: 'searchCtrl',
                        })
                        .state('tab.hotsassess', {
                            url: '/hotsassess',
                            cache: false,
                            views: {
                                'tab-assessment': {
                                    templateUrl: 'templates/assessment/hotsassess.html',
                                    controller: 'hotsassessCtrl',
                                }
                            }
                        })
                        .state('building_group_search', {
                            url: '/building_group_search',
                            cache: false,
                            templateUrl: 'templates/assessment/building_group_search.html',
                            controller: 'buildingGroupSearchCtrl',
                        })
                        .state('updateversion', {
                            url: '/updateversion',
                            cache: false,
                            templateUrl: 'templates/usercenter/updateversion.html',
                            controller: 'updateversionCtrl',
                        })
                        .state('tab.account', {
                            url: '/account',
                            cache: false,
                            views: {
                                'tab-entrust': {
                                    templateUrl: 'templates/entrust/account.html',
                                    controller: 'accountCtrl',
                                }
                            }
                        })
                        .state('tab.entrust', {
                            url: '/entrust',
                            cache: false,
                            views: {
                                'tab-entrust': {
                                    templateUrl: 'templates/entrust/entrust.html',
                                    controller: 'entrustCtrl',
                                }
                            }
                        })
                        .state('tab.entrustlist', {
                            url: '/entrustlist',
                            views: {
                                'tab-entrust': {
                                    templateUrl: 'templates/entrust/entrustlist.html',
                                    controller: 'entrustlistCtrl',
                                }
                            }
                        })
                        .state('tab.entrustinfo', {
                            url: '/entrustinfo/:entrust_id',
                            cache: false,
                            views: {
                                'tab-entrust': {
                                    templateUrl: 'templates/entrust/entrustinfo.html',
                                    controller: 'entrustinfoCtrl',
                                }
                            }
                        })
                $urlRouterProvider.otherwise('/index');
                $ionicConfigProvider.tabs.position('bottom');
                $ionicConfigProvider.backButton.text('').icon('').previousTitleText(false);
                $ionicConfigProvider.views.swipeBackEnabled(false);
            }])
