$(function() {
//    retinaImageReplacer();
});

/**
 * 
 * @param {obj} e
 * @param {string} s
 * 图片替换处理过程
 * 
 */
var retinaImageReplacerProcess = function(e, s) {
    var lowres = e.attr('src');
    var highres = lowres.replace(".", s);
    e.attr('src', highres);
};

/**
 * 
 * @param {string} s
 * 如果 s==“@2x.”，替换所有属性 retina2x ==“on” 名为 a@2x 的 image;
 * 如果 s==“@3x.”，替换所有属性 retina3x ==“on” 名为 a@3x 的 image，如果没有 retina3x ==“on”，就替换名为 a@2x 的 image。
 * 
 */
var retinaImageReplacerChoose = function(s) {
    var lowresImages = $('img');
    if (s == "@2x.") {
        lowresImages.each(function() {
            if ($(this).attr('retina2x') == "on") {
                retinaImageReplacerProcess($(this), "@2x.");
            }
        });
    } else if (s == "@3x.") {
        lowresImages.each(function() {
            if ($(this).attr('retina3x') == "on") {
                retinaImageReplacerProcess($(this), "@3x.");
            } else if ($(this).attr('retina2x') == "on") {
                retinaImageReplacerProcess($(this), "@2x.");
            }
        });
    }
};

/**
 * 
 * 如果 window.devicePixelRatio == 1，不进行图片替换 （即使用原图 a.jpg）；
 * 如果 window.retinaImageReplacer > 1 && window.retinaImageReplacer <= 2，执行函数传参为‘’@2x.“；
 * 如果 window.retinaImageReplacer >= 3，执行函数传参为‘’@3x.“。
 * 
 */
var retinaImageReplacer = function() {
    if (window.devicePixelRatio > 1 && window.devicePixelRatio <= 2) {
        retinaImageReplacerChoose('@2x.');
    } else if (window.devicePixelRatio > 2) {
        retinaImageReplacerChoose('@3x.');
    }
};
